From 326fdf4427e65a950d06fb2985ae2b6a7cec45bb Mon Sep 17 00:00:00 2001
From: Antoine Lassagne <antoine.lassagne@canonical.com>
Date: Wed, 15 Oct 2025 14:57:08 +0200
Subject: [PATCH] Fix: unblock autoreconnect when a previously failed
 connection is now successful

---
 src/core/nm-policy.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

--- a/src/core/nm-policy.c
+++ b/src/core/nm-policy.c
@@ -2111,7 +2111,10 @@
     case NM_DEVICE_STATE_ACTIVATED:
         if (sett_conn) {
             /* Reset auto retries back to default since connection was successful */
-            nm_manager_devcon_autoconnect_retries_reset(priv->manager, device, sett_conn);
+            nm_manager_devcon_autoconnect_reset_reconnect_all(priv->manager,
+                                                              device,
+                                                              sett_conn,
+                                                              FALSE);
         }
 
         /* Since there is no guarantee that device_l3cd_changed() is called
